<?xml version="1.0" encoding="UTF-8" standalone="yes"?>
<application xmlns="http://wadl.dev.java.net/2009/02">
	<doc title="RESIF orphanfile web service 1 "/>
	<grammars/>
	<resources base="http://ws.resif.fr/resifsi/orphanfile/1/">
		<resource path="/">
			<doc xml:lang="french" title="response size limitation">
		 	Récupérer des informations sur les transactions d'intégrations des données des Noeuds A
			</doc>
			<method name="GET" id="root">
				<response>
					<representation mediaType="text/html"/>
				</response>
			</method>
		</resource>
		<resource path="query">
			<method name="GET" id="query">
				<request>
				  	<param name="starttime" style="query" type="xs:date">
						<doc xml:lang="english" title="La date de début">
					   		Examples: starttime=2012-11-29 or 2012-11-29T00:00:00 or 2012-11-29T00:00:00.000
						</doc>
				 	</param>
				 	<param name="endtime" style="query" type="xs:date">
						<doc xml:lang="english" title="La date de fin ">
					   		Examples: endtime=2012-11-29 or 2012-11-29T00:00:00 or 2012-11-29T00:00:00.000
						</doc>
				 	</param>
				  	<param name="network" style="query" type="xs:string">
						<doc xml:lang="french" title="Code réseau FDSN"/>
				 	</param>
				  	<param name="station" style="query" type="xs:string">
						<doc xml:lang="french" title="Nom de station"/>
				 	</param>
				  	<param name="channel" style="query" type="xs:string">
						<doc xml:lang="french" title="Nom du channel"/>
				 	</param>
				  	<param name="datatype" style="query" type="xs:string">
						<doc xml:lang="french" title="Type de données"/>
						<option value="validated" />
						<option value="raw"/>
				 	</param>
				</request>
			   <response>
				 <representation mediaType="text/plain"/>
				 <representation mediaType="application/json"/>
				 <representation mediaType="application/xml"/>
			  </response>
		   </method>
		</resource>
		<resource path="version">
			<method name="GET" id="version">
				<response>
				  <representation mediaType="text/plain"/>
				</response>
			</method>
		</resource>
		<resource path="application.wadl">
			<method name="GET" id="application.wadl">
				<response>
				  <representation mediaType="application/xml"/>
				</response>
			</method>
		</resource>
	</resources>
</application>
